Skip to Content
BusinessExternal Accounts

Retrieve an External Account

GET
/v0/business/{business_id}/external-account/{external_account_id}

Scopes: external_account:read

Authorization

OAuth2ClientCredentialsBearer external_account:read
headerAuthorizationBearer <token>

Scope: external_account:read

Path Parameters

business_id*Business Id

The id of the business

Formatbiz_string
external_account_id*External Account Id

The id of the external account

Formateac_string

Response Body

Successful Response

application/json
  1. response
data*
Example Request
curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/external-account/eac_9p2Fp7gra8aCVNvCSekUyK'
Example Response
{  "data": {    "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",    "type": "business",    "ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5",    "contribution_ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5",    "distribution_ledger_id": "ldg_Ns6rRRLYVZPh4cVB7MDby5",    "financial_account_type": "bank_account",    "source": "manual",    "external_id": "1234567890",    "metadata_": {},    "name": "ABC Business Checking",    "mask": "1234",    "status": "connected",    "disconnected_at": "2019-08-24T14:15:22Z",    "last_synced_at": "2019-08-24T14:15:22Z",    "last_balanced_at": "2019-08-24T14:15:22Z",    "external_balance": 3512.85,    "last_statement_end_date": "2019-08-24T14:15:22Z",    "currency": "USD",    "is_deleteable": true,    "id": "eac_Ns6rRRLYVZPh4cVB7MDby5",    "institution_name": "Chase Bank"  }}